Summary:	WireGuard is an extremely simple yet fast and modern VPN that utilizes state-of-the-art cryptography
Name:		wireguard-tools
Version:	1.0.20210424
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	https://git.zx2c4.com/wireguard-tools/snapshot/%{name}-%{version}.tar.xz
# Source0-md5:	53a0f06dbb298bbae7532fd10bcc3af1
URL:		https://www.wireguard.com/
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.701
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	WireGuard < 1.0.20200319-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WireGuard is an extremely simple yet fast and modern VPN that utilizes
state-of-the-art cryptography. It aims to be faster, simpler, leaner,
and more useful than IPSec, while avoiding the massive headache. It
intends to be considerably more performant than OpenVPN. WireGuard is
designed as a general purpose VPN for running on embedded interfaces
and super computers alike, fit for many different circumstances.

This package contains user space tools. Kernel module is included in
Linux 5.6+. You need to also install kernel module from
kernel-*-misc-wireguard package for kernel < 5.6.

%package -n bash-completion-wireguard
Summary:	bash-completion for WireGuard
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0
BuildArch:	noarch

%description -n bash-completion-wireguard
This package provides bash-completion for WireGuard.

%prep
%setup -q

%build
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
%{__make} -C src \
	CC="%{__cc}" \
	RUNSTATEDIR=%{_rundir} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir} \
	SYSCONFDIR=%{_sysconfdir} \
	SYSTEMDUNITDIR=%{systemdunitdir} \
	BASHCOMPDIR=%{bash_compdir} \
	WITH_BASHCOMPLETION=yes \
	WITH_SYSTEMDUNITS=yes \
	WITH_WGQUICK=yes

%clean
rm -rf $RPM_BUILD_ROOT

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc contrib README.md
%attr(755,root,root) %{_bindir}/wg
%attr(755,root,root) %{_bindir}/wg-quick
%dir %{_sysconfdir}/wireguard
%{systemdunitdir}/wg-quick@.service
%{systemdunitdir}/wg-quick.target
%{_mandir}/man8/wg-quick.8*
%{_mandir}/man8/wg.8*

%files -n bash-completion-wireguard
%defattr(644,root,root,755)
%{bash_compdir}/wg
%{bash_compdir}/wg-quick
%changelog
* Mon Jul 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wireguard-tools.git;a=log;h=master

* Sun Jul 25 2021 Jan Palus <atler@pld-linux.org> 4263a5e
- up to 1.0.20210424

* Sun Jul 25 2021 Jan Palus <atler@pld-linux.org> c132d87
- explicitly enable wg-quick

* Sun Jul 25 2021 Jan Palus <atler@pld-linux.org> 964cc6a
- use DESTDIR, explicit install dirs

* Sun Jul 25 2021 Jan Palus <atler@pld-linux.org> c139646
- handle CFLAGS without patch

* Sun Jul 25 2021 Jan Palus <atler@pld-linux.org> 5e1fbe2
- libmnl is not required (minimized version bundled as header file)

* Sun Jul 25 2021 Jan Palus <atler@pld-linux.org> e5e40fb
- package bash completions

* Sun Jul 25 2021 Jan Palus <atler@pld-linux.org> d3df96e
- replace undefined _varrun macro with _rundir

* Sun Jul 25 2021 Jan Palus <atler@pld-linux.org> 8f03e81
- BRs for tar.xz source

* Sun Jul 25 2021 Jan Palus <atler@pld-linux.org> fb8ddc2
- fix make macro

* Sat May 23 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> d32d424
- up to 1.0.20200513

* Mon May 04 2020 Jan Rękorajski <baggins@pld-linux.org> 64c304f
- updated description
- O for old package

* Mon May 04 2020 Jan Rękorajski <baggins@pld-linux.org> b3b7b09
- wireguard-tools is now a separate package, kernel module has been merged into kernel 5.6

* Sun Apr 05 2020 Jan Rękorajski <baggins@pld-linux.org> fdb609f
- fix building on kernel 5.4.29+
- rel 2

* Sun Dec 22 2019 Jan Rękorajski <baggins@pld-linux.org> 2b10bf9
- up to 0.0.20191219

* Mon Nov 25 2019 Patryk Szczygłowski <patryk@patryk.net> fc2111f
- up to 0.0.20191012

* Thu Aug 01 2019 Adam Gołębiowski <adamg@pld-linux.org> 9f63f1e
- up to 0.0.20190702

* Mon Jun 10 2019 Patryk Szczygłowski <patryk@patryk.net> 73413a0
- up to 0.0.20190601

* Tue Apr 23 2019 Patryk Szczygłowski <patryk@patryk.net> ed704a0
- up to 0.0.20190406

* Wed Jan 23 2019 Patryk Szczygłowski <patryk@patryk.net> d3bb447
- up to 0.0.20190123

* Wed Oct 24 2018 Patryk Szczygłowski <patryk@patryk.net> 522228e
- up to 0.0.20181018

